# Generated by Django 5.0.3 on 2024-03-13 17:51

from decimal import Decimal
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AppUserOption',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('can_view_others', models.BooleanField(default=True, help_text='Just for Demo, without functions')),
            ],
            options={
                'verbose_name': 'Demo App Settings',
                'abstract': False,
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='DefaultModal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('name', models.CharField(max_length=64)),
                ('email', models.EmailField(max_length=128, unique=True)),
                ('url', models.URLField(blank=True, max_length=128)),
                ('text', models.TextField(blank=True)),
                ('decimal', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True)),
                ('image', models.ImageField(blank=True, default=None, null=True, upload_to='demo/image/')),
                ('date', models.DateField()),
                ('time', models.TimeField()),
                ('timestamp', models.DateTimeField()),
                ('boolean', models.BooleanField(default=False)),
                ('radio', models.CharField(choices=[('choice1', 'Choice1'), ('choice2', 'Choice2'), ('choice3', 'Choice3')], max_length=64)),
                ('progress', models.PositiveSmallIntegerField(default=0)),
            ],
            options={
                'verbose_name': 'Default Model',
                'verbose_name_plural': 'Default Models',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('pos', models.PositiveIntegerField()),
                ('title', models.CharField(max_length=64)),
                ('amount', models.DecimalField(decimal_places=2, default=Decimal('1'), max_digits=16)),
                ('price', models.DecimalField(decimal_places=2, max_digits=16)),
            ],
            options={
                'ordering': ['pos'],
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(db_index=True, default=True, verbose_name='active')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated at')),
                ('tag_name', models.CharField(max_length=64)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
